Bug 1333827 - python-setuptools_git: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-setuptools_git: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools_git
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:29 UTC by Tomas Orsava
Modified: 2016-09-07 11:47 UTC (History)
4 users (show)

Fixed In Version: python-setuptools_git-1.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:47:27 UTC
dkrejci: needinfo? (apevec)
mhroncok: needinfo? (apevec)


Attachments (Terms of Use)
add Python 3 & version update (3.61 KB, patch)
2016-07-26 10:55 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:29:49 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2016-07-26 04:05:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Dominika Krejčí 2016-07-26 10:55:33 UTC
Created attachment 1184179 [details]
add Python 3 & version update

Hi Alan,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15022358

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 3 Lumír Balhar 2016-08-09 08:21:10 UTC
Patch looks good to me.

Comment 4 Miro Hrončok 2016-08-16 10:55:33 UTC
Alan,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.